OGRE-Next: Ogre::CompositorNamedBuffer Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::CompositorNamedBuffer Struct Reference
Core » Effects

`#include <OgreCompositorNamedBuffer.h>`

## Public Member Functions
| CompositorNamedBuffer ()
| CompositorNamedBuffer (IdString _name, UavBufferPacked *_buffer)
bool | operator() (const CompositorNamedBuffer &left, const CompositorNamedBuffer &right) const
bool | operator() (const CompositorNamedBuffer &left, IdString right) const
bool | operator() (IdString left, const CompositorNamedBuffer &right) const

## Public Attributes
UavBufferPacked * | buffer
IdString | name

## Constructor & Destructor Documentation

## ◆ CompositorNamedBuffer() [1/2]

Ogre::CompositorNamedBuffer::CompositorNamedBuffer | ( |  | ) |
| inline

Referenced by operator()(), operator()(), and operator()().

## ◆ CompositorNamedBuffer() [2/2]

Ogre::CompositorNamedBuffer::CompositorNamedBuffer | ( | IdString | _name,
|  | UavBufferPacked * | _buffer )
| inline

References buffer, and name.

## Member Function Documentation

## ◆ operator()() [1/3]

bool Ogre::CompositorNamedBuffer::operator() | ( | const CompositorNamedBuffer & | left,
|  | const CompositorNamedBuffer & | right ) const
| inline

References CompositorNamedBuffer(), and name.

## ◆ operator()() [2/3]

bool Ogre::CompositorNamedBuffer::operator() | ( | const CompositorNamedBuffer & | left,
|  | IdString | right ) const
| inline

References CompositorNamedBuffer(), and name.

## ◆ operator()() [3/3]

bool Ogre::CompositorNamedBuffer::operator() | ( | IdString | left,
|  | const CompositorNamedBuffer & | right ) const
| inline

References CompositorNamedBuffer(), and name.

## Member Data Documentation

## ◆ buffer

UavBufferPacked* Ogre::CompositorNamedBuffer::buffer

Referenced by CompositorNamedBuffer().

## ◆ name

IdString Ogre::CompositorNamedBuffer::name

Referenced by CompositorNamedBuffer(), operator()(), operator()(), and operator()().

The documentation for this struct was generated from the following file:

- OgreCompositorNamedBuffer.h